package model

import (
	"log"

	"gorm.io/driver/sqlite"
	"gorm.io/gorm"
)

type Thing struct {
	ID        int
	Name      string
	Subthings []SubThing
}

type SubThing struct {
	ID      int
	ThingID int
	Name    string
}

func InitDB() *gorm.DB {
	db, err := gorm.Open(sqlite.Open("things.db"))
	if err != nil {
		log.Panic(err)
	}
	db.AutoMigrate(&Thing{}, &SubThing{})
	return db
}
